<?php
function typed_param_local_int(int $n): float {
    $a = 0;
    $b = 1;
    if ($n <= 1) {
        return $n;
    }
    while ($a < $n) {
        $b = $b + 1;
        $a = $a + 1;
    }
    return $b;
}
echo typed_param_local_int(3);
